'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _pure = require('../../utils/pure');

var _Grid = require('./Grid');

var _GridDemo = require('./Grid.demo.styl');

var _GridDemo2 = _interopRequireDefault(_GridDemo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var gridTheme = {
    container: _GridDemo2.default.container,
    gridBody: _GridDemo2.default.gridBody,
    gridHead: _GridDemo2.default.gridHead,
    gridHead_paddedForScrollbar: _GridDemo2.default.gridHead_paddedForScrollbar,
    gridCell__placeholder: _GridDemo2.default.gridCell__placeholder,
    gridCell__content: _GridDemo2.default.gridCell__content,
    gridCell__content_left: _GridDemo2.default.gridCell__content_left,
    gridCell__content_center: _GridDemo2.default.gridCell__content_center,
    gridCell__content_right: _GridDemo2.default.gridCell__content_right,
    horizontal_scrollbar__bar: _GridDemo2.default.horizontal_scrollbar__bar,
    vertical_scrollbar__bar: _GridDemo2.default.vertical_scrollbar__bar
};
var GridPage = function (_React$Component) {
    _inherits(GridPage, _React$Component);

    function GridPage() {
        _classCallCheck(this, GridPage);

        var _this = _possibleConstructorReturn(this, (GridPage.__proto__ || Object.getPrototypeOf(GridPage)).apply(this, arguments));

        _this.state = {
            isLong: true,
            counter: 0
        };
        return _this;
    }

    _createClass(GridPage, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var _this2 = this;

            // this._interval1 = setInterval(() => {
            // 	this.setState({
            // 		isLong: !this.state.isLong
            // 	});
            // }, 3000);
            this._interval2 = setInterval(function () {
                _this2.setState({
                    counter: _this2.state.counter + 1
                });
            }, 1000);
        }
    }, {
        key: 'componentWillUnmount',
        value: function componentWillUnmount() {
            clearTimeout(this._interval1);
            clearInterval(this._interval2);
        }
    }, {
        key: 'render',
        value: function render() {
            var _this3 = this;

            return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_Grid.Grid, { theme: gridTheme }, _react2.default.createElement(_Grid.GridHead, { theme: gridTheme }, _react2.default.createElement(_Grid.GridRow, null, _react2.default.createElement(_Grid.GridCell, { align: _Grid.GridCellAlignment.LEFT, theme: gridTheme }, "1"), _react2.default.createElement(_Grid.GridCell, { theme: gridTheme }, this.state.isLong ? '2_______________________________________' : '2'), _react2.default.createElement(_Grid.GridCell, { theme: gridTheme }, "3"))), _react2.default.createElement(_Grid.GridBody, { theme: gridTheme }, Array.from(new Array(20), function () {
                return 0;
            }).map(function (_, i) {
                return _react2.default.createElement(_Grid.GridRow, { key: i }, _react2.default.createElement(_Grid.GridCell, { align: _Grid.GridCellAlignment.LEFT, theme: gridTheme }, _this3.state.counter), _react2.default.createElement(_Grid.GridCell, { theme: gridTheme }, "2"), _react2.default.createElement(_Grid.GridCell, { theme: gridTheme }, "3_______________________________________"));
            }))));
        }
    }]);

    return GridPage;
}(_react2.default.Component);
GridPage = tslib_1.__decorate([_pure.PURE], GridPage);
(0, _storybook.storiesOf)('Grid', module).add('default', function () {
    return _react2.default.createElement(GridPage, null);
});